IPCRM(1)

NAMN
ipcrm - ta bort vissa IPC-resurser

SYNOPSIS

ipcrm [flaggor]

ipcrm [shm|msg|sem] ID ...

BESKRIVNING

ipcrm tar bort POSIX- och System V-objekt för interprocesskommunikation (IPC) och tillhörande datastrukturer från systemet. För att kunna ta bort sådana objekt måste du vara superuser eller skapare eller ägare av objektet.

POSIX och System V IPC-objekt är av tre typer: delat minne, meddelandeköer och semaforer. Borttagning av en meddelandekö eller ett semaforobjekt sker omedelbart (oavsett om någon process fortfarande har en IPC-identifierare för objektet). Ett objekt med delat minne tas bort först när alla processer som för närvarande är anslutna till objektet har avlägsnat det (shmdt(2)) från sitt virtuella adressutrymme.

Två syntaxstilar stöds. Den gamla historiska Linux-syntaxen anger ett nyckelord med tre bokstäver som anger vilken klass av objekt som ska raderas, följt av en eller flera IPC-identifierare för objekt av denna typ.

Den SUS-kompatibla syntaxen gör det möjligt att specificera noll eller flera objekt av alla tre typerna på en enda kommandorad, där objekten specificeras antingen med nyckel eller med identifierare (se nedan). Både nycklar och identifierare kan anges i decimal, hexadecimal (anges med en inledande '0x' eller '0X') eller oktal (anges med en inledande '0').

Detaljerna för avlägsnandet beskrivs i shmctl(2), shm_unlink(3), msgctl(2), mq_unlink(3), semctl(2) och sem_unlink(3). Identifierarna och nycklarna kan hittas med hjälp av lsipc(1) eller ipcs(1).

FLAGGOR

-a, --all [shm] [pshm] [msg] [pmsg] [sem] [psem]
    Ta bort alla resurser. Om ett option-argument anges utförs borttagningen endast för de angivna resurstyperna.

    Varning! Använd inte -a om du är osäker på hur programvaran som använder resurserna kan reagera på saknade objekt. Vissa program skapar dessa resurser vid uppstart och kanske inte har någon kod för att hantera ett oväntat försvinnande.

-M, --shmem-key shmkey
    Ta bort det delade minnessegmentet som skapats med shmkey efter att den sista borttagningen har utförts.

-m, --shmem-id shmid
    Ta bort det delade minnessegmentet som identifieras av shmid efter att den sista borttagningen har utförts.

--posix-shmem namn
    Ta bort det POSIX-delade minnessegmentet som skapades med namn.

-Q, --queue-key msgkey
    Ta bort den meddelandekö som skapats med msgkey.

-q, --queue-id msgid
    Ta bort den meddelandekö som identifieras av msgid.

--posix-mqueue namn
    Ta bort POSIX-meddelandekön som skapats med namn.

-S, --semaphore-key semkey
    Ta bort semaforen som skapats med semkey.

-s, --semaphore-id semid
    Ta bort semaforen som identifieras av semid.

--posix-semaphore namn
    Ta bort den POSIX-namngivna semaforen som skapats med namn.

-v, --verbose
    Aktivera utförliga meddelanden.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

ANTECKNINGAR

I sin första Linux-implementation använde ipcrm den föråldrade syntax som visas på andra raden i SYNOPSIS. Funktionalitet som finns i andra *nix-implementationer av ipcrm har sedan dess lagts till, nämligen möjligheten att ta bort resurser med nyckel (inte bara identifierare) och att respektera samma kommandoradssyntax. För bakåtkompatibilitet stöds fortfarande den tidigare syntaxen.

SE ÄVEN

ipcmk(1), ipcs(1), lsipc(1), msgctl(2), mq_unlink(3), msgget(2), semctl(2), semget(2), sem_unlink(3), shmctl(2), shmdt(2), shmget(2), shm_unlink(3), ftok(3), sysvipc(7)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot ipcrm ingår i paketet util-linux som kan hämtas från